# PyPro - A Flask-like Web Framework with Batteries Included

PyPro is a Python web framework designed to be easy to use like Flask, but with more built-in features that web applications commonly need. It provides routing, templating, database integration, security features, and more right out of the box.

## Features

- **Simple API**: Flask-like decorator-based routing and request handling
- **Built-in Server**: WSGI-compliant for easy deployment
- **Templating**: Jinja2 integration for HTML rendering
- **Database**: ORM integration with SQLAlchemy support
- **Security**: Password hashing, token generation, CSRF protection
- **Sessions**: Built-in session management
- **Middleware**: Request/response processing pipeline
- **CLI Tool**: Command-line interface for running apps and more
- **Plugin System**: Extensibility through third-party plugins

## Installation

```bash
pip install pypro
